const cors    = require('cors');
const express = require('express');
const app     = express();
const {port}  = require('./config');
const createProductsRoutes = require('./routes/products');
const fileDb = require('./db/fileDb');

fileDb.init();

app.use(cors());
app.use(express.json());
app.use(express.static('public'));
app.use('/api/v1/products', createProductsRoutes(fileDb));

app.listen(port, () => {
    console.log("Server running at http://localhost:" + port);
});
